compact1, compact2, compact3
java.util.concurrent

## Interface ScheduledFuture<V>

- Type Parameters:
    `V` - The result type returned by this Future
  All Superinterfaces:
    Comparable<Delayed>, Delayed, Future<V>
  All Known Subinterfaces:
    RunnableScheduledFuture<V>

      public interface ScheduledFuture<V>
      extends Delayed, Future<V>

  A delayed result-bearing action that can be cancelled. Usually a scheduled future is the result of scheduling a task with a `ScheduledExecutorService`.
  Since:
    1.5

- - ### Method Summary

    - ### Methods inherited from interface java.util.concurrent.Delayed

      `getDelay`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface java.util.concurrent.Future

      `cancel, get, get, isCancelled, isDone`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.